// debdata.h

int getDebugData (int,char *);

enum CONDs{  
		COND_NONE=0,
		COND_C=1,
		COND_NC=2,
		COND_Z=4,
		COND_NZ=8,
		COND_PO=16,
		COND_PE=32,
		COND_P=64,
		COND_M=128,
		COND_N=256
};
enum INSTs{	
		INST_NONE=0,
	    INST_RET=1,
	    INST_JUMP=2,
		INST_DJNZ=4,
		INST_MEMREAD=8,
		INST_MEMWRITE=16,
		INST_IN=32,
		INST_OUT=64,
		INST_CALL=128,
		INST_PUSH=256,
		INST_POP=512,
		INST_RST=1024,
		INST_PREFIX=2048
};

enum REGs{
		REG_UNUSED=0,
		REG_NN=1,
		REG_HL=2,
		REG_BC=4,
		REG_DE=8,
		REG_SP=16,
		REG_AF=32,
		REG_IXY=64,
};
	    

typedef struct
{
	char instName[32];
	INSTs inst;
	REGs regs;
	CONDs cond;
} OpData;

