// AskValue.cpp : implementation file
//

#include "stdafx.h"
#include "zxDEB.h"
#include "AskValue.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAskValue dialog


CAskValue::CAskValue(CWnd* pParent /*=NULL*/)
	: CDialog(CAskValue::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAskValue)
	m_dec = FALSE;
	m_hex = FALSE;
	m_value = _T("");
	//}}AFX_DATA_INIT
}


void CAskValue::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAskValue)
	DDX_Check(pDX, IDC_DECIMAL, m_dec);
	DDX_Check(pDX, IDC_HEXADECIMAL, m_hex);
	DDX_Text(pDX, IDC_VALUE, m_value);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAskValue, CDialog)
	//{{AFX_MSG_MAP(CAskValue)
	ON_BN_CLICKED(IDC_HEXADECIMAL, OnHexadecimal)
	ON_BN_CLICKED(IDC_DECIMAL, OnDecimal)
	ON_EN_UPDATE(IDC_VALUE, OnUpdateValue)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAskValue message handlers

BOOL CAskValue::OnInitDialog() 
{

	CDialog::OnInitDialog();
	
	// depending on the configuration, setup this:
	m_hex=TRUE;
	m_dec=FALSE;

	UpdateData (FALSE);



	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CAskValue::SetParameters (int value)
{
	if (m_dec) m_value.Format ("%d",value);
	else m_value.Format ("%04x",value);
}



void CAskValue::OnHexadecimal() 
{
int val;
	if (m_hex) return;
	m_hex=TRUE;
	m_dec=FALSE;

	sscanf (m_value,"%d",&val);
	m_value.Format ("%04x",val);
	UpdateData (FALSE);
}

void CAskValue::OnDecimal() 
{
int val;
	if (m_dec) return;
	m_dec=TRUE;
	m_hex=FALSE;

	sscanf (m_value,"%x",&val);
	m_value.Format ("%d",val);
	UpdateData (FALSE);
}


int CAskValue::getValue (void)
{
int val;
	if (m_value=="") return -1;
	if (m_dec) sscanf (m_value,"%d",&val);
	else sscanf (m_value,"%x",&val);
	return val;
}

void CAskValue::OnUpdateValue (void)
{
	UpdateData (TRUE);
}
