// ay emu
#ifndef AYEMU_H
#define AYEMU_H

void outport_bffd (Z80Regs *regs,byte value);
void outport_fffd (Z80Regs *regs,byte value);
byte inport_fffd (Z80Regs *regs);
void ay_init (void);
void initAYLog (void);
void AYDump (void);
void initAYarrays (void);


typedef struct
{
	int reg[15];
	int last_address;
	// tone data
	unsigned int wavepos[3];

	// waveform data
	unsigned int waveform_int[3],waveform_acc[3];

} AY38192;

typedef struct
{
	int value;
	int port;
	int tcount;
}AYData;

#endif

