#define TYPE_LABEL 1


typedef struct 
{
	int pc;				// 0...16383
	int bank;			// 0.... RAM   32768... ROM
	int type;			// 0 - comment, 1 - label , 2 - comment BEFORE
	char *txt;
	void *next;
} textForDebugger;

typedef textForDebugger TFD ;


TFD *allocNewText (char *txt,int page,int pc,int type);
TFD *allocNewText (char *txt,int pc,int type);
TFD *searchComment (int pc);
TFD *searchLabel (int pc);
void save_text_data (FILE *f);
void load_text_data (FILE *f);
char *printLabel (int pc);
void deleteEntry (TFD *tfd);
void modifyText (TFD *tfd,char *comment);
TFD *searchLabelByText (const char *txt);
void readline (FILE *f,char *dst);








