// zxDEBDlg.h : header file
//

#if !defined(AFX_ZXDEBDLG_H__1D855306_C756_11D6_BDBA_444553540000__INCLUDED_)
#define AFX_ZXDEBDLG_H__1D855306_C756_11D6_BDBA_444553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CZxDEBDlg dialog

void emuFocus (void);
BOOL checkClickIn (CWnd *wnd,CPoint *point);
char *askString (char *t);
char *askString (char *t,char *title);


class CZxDEBDlg : public CDialog
{
// Construction
public:
	CZxDEBDlg(CWnd* pParent = NULL);	// standard constructor
	void drawDebuggerInfo();
	void updateRegisters (void);
	void drawRegisters();
	void drawExtraInfo();
	void SetVSBRelPos(int n);
	void SetVSBAbsPos(int n);
	void OnVSB_Scroll(UINT nSBCode, UINT nPos);
	void CZxDEBDlg::adjustSelectedPC (void);
	void CZxDEBDlg::StepInto();
	void CZxDEBDlg::handleFile (CString str);
	void CZxDEBDlg::TestOnRegs(CPoint point);


	void CZxDEBDlg::moveToPreviousPC(void);
	void CZxDEBDlg::moveToNextPC(void);
	void CZxDEBDlg::moveToUpPC(void);
	void CZxDEBDlg::moveToDownPC(void);
	void CZxDEBDlg::runWithBkp();
	void CZxDEBDlg::setLabelFor (int pc);

	void CZxDEBDlg::killCreateAY (void);
	void CZxDEBDlg::killMemoryViewer (void);
	void CZxDEBDlg::killScr$ (void);








// Dialog Data
	//{{AFX_DATA(CZxDEBDlg)
	enum { IDD = IDD_ZXDEB_DIALOG };
	CStatic	m_ramrom;
	CScrollBar	m_VSB;
	CStatic	m_regs;
	CStatic	m_gfx;
	CString	m_tstate;
	CString	m_commentDisplay;
	CString	m_curpc;
	CString	m_lpcs;
	CString	m_ramromStr;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZxDEBDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CZxDEBDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInstr();
	afx_msg void OnRunWithBkp();
	afx_msg void OnSetBreakpoint();
	afx_msg void OnSetComment();
	afx_msg void OnSetLabel();
	afx_msg void OnFileSave();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRunStepintof7();
	afx_msg void OnClose();
	afx_msg void OnViewBacktopcbackspace();
	afx_msg void OnRunStepthrough();
	afx_msg void OnRunF4gotocursor();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRunF9run();
	afx_msg void OnSetIndirectlabel();
	afx_msg void OnSetDefb();
	afx_msg void OnFileLoadfile();
	afx_msg void OnViewMemoryviewer();
	afx_msg void OnRunRununtil();
	afx_msg void OnAyfilesCreateay();
	afx_msg void OnViewShowlabels();
	afx_msg void OnRunF11goto();
	afx_msg void OnSoundClearsoundbuffers();
	afx_msg void OnEmulatorReset();
	afx_msg void OnViewScreen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZXDEBDLG_H__1D855306_C756_11D6_BDBA_444553540000__INCLUDED_)
